//
// here are two functions that draw "figures" on the
// graphics screen: DOT() and BOX().
//

#include "gogo.h"

//
// puts a dot at the user point (x, y)
//

void DOT(flt x, flt y)
{
    M(x, y);     // moves to (x,y)
    RLG(0, 0);   // draws line to (x,y)
}
// =========================================================
//
// draws a square box centered on (x, y) (user units)
// s is the box side, in percent of the window diagonal
//

void BOX(flt x, flt y, flt s)
{
    int side;        // side will be s % of window diagonal

    side = (int)((windiag()/100.0) * s);
    M(x, y);               // move to (x, y)
    RMG(-side/2, -side/2); // relative move to ll corner
    RLG(0, side);          // up
    RLG(side, 0);          // over
    RLG(0, -side);         // down
    RLG(-side, 0);         // back
    RMG(side/2, side/2);   // move back to (x, y)
}
// =========================================================
