//
// these are the lorenz equations, scaled so that
// the fixed points are always at X = Y = +/- 1.0,
// and Z = 1.0, regardless of the parameter values.
//

#include "lorenz.h"

void derivs(dbl t, vector<dbl>& u, vector<dbl>& dudt)
{
    extern vector<dbl> p ;   // the parameter vector
    dudt[0] = p[0]*(u[1]-u[0]) ;
    dudt[1] = (1.0-p[1])*u[0]*u[2] + p[1]*u[0] - u[1] ;
    dudt[2] = p[2]*(u[0]*u[1] - u[2]) ;
}
